#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t,br=0,k=0;
    cin>>t;
    unsigned long long a[t],b[t];
    for(int i=0; i<t; i++){
        cin>>a[i];
        cin>>b[i];
    }
    for(int h=0; h<t; h++){
            k=0;
            br=0;
        for(unsigned long long i=1; i<a[h]&&k==0; i+=2){
            for(unsigned long long j=1; j<a[h]&&k==0; j++){
                if(i*j==a[h]&&(b[h]==(i^j))){
                    cout<<i<<" "<<j<<endl;
                    k=1;
                    br++;
            }


        }

    }
    if(br==0){
        cout<<-1<<endl;
    }

    }




}